nlb-tags-overview-analysis-widget {
  .header-wrapper {
    .nlb-toggle-wrapper {
      min-width: 180px;
    }
  }

  .tag-header {
    font-size: 24px;
  }

  .graph-wrapper {
    width: 100%;
    min-height: 70px;
    display: inline-block;
    margin-left: -45px;

    .graph-header-amount {
      margin-left: 45px; // FIX PARENT GAP
      margin-top: 15px;
      margin-bottom: 10px;

      .amount-value {
        font-size: 26px;
        font-family: 'Istok Web', sans-serif;
        font-weight: 600;
      }

      .amount-label {
      }
    }
  }
}

nlb-spending-analysis-widget,
nlb-income-analysis-widget {
  .chart-bar {
    .ngx-charts-outer {
      margin-top: 65px;
    }
  }

  .loading-state-wrapper {
    padding-top: 65px;
  }

  bb-icon-ui {
    color: black;
  }

  .bb-period-selector {
    justify-content: center;
  }
}

@mixin amount-currency-reorder {
  // Reorder elements in BB widget
  bb-amount-ui {
    .bb-amount__value {
      float: right;
      display: flex;
      flex-direction: row;

      .symbol {
        order: 4;
        margin-left: 8px;
      }
    }
  }
}

.nlb-chart-tooltip {
  border-radius: 6px;
  box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 4px 8px -2px rgba(9, 30, 66, 0.25);
}

.font-roboto-regular {
  font-family: Roboto, sans-serif;
}

.font-roboto-bold {
  font-family: Roboto, sans-serif;
  font-weight: bold;
}

.font-istok-web-regular {
  font-family: 'Istok Web', sans-serif;
}

.negative-trend {
  color: $nlbRedColor;

  i {
    color: $nlbRedColor;
  }
}

.positive-trend {
  color: $nlbGreenColor;

  i {
    color: $nlbGreenColor;
  }

  .bb-icon-arrow-downward:before {
    color: $nlbGreenColor;
  }
}

.chart-tooltip-trend-text {
  font-size: 21px;
  font-family: Roboto, sans-serif;
}

.month-selector-wrapper {
  position: relative;
  z-index: 1;
  display: flex;

  .nlb-toggle-wrapper {
    position: absolute;
    //width: 140px;
    right: 0;
    top: 20px;
  }
}

.bb-transaction-category-name {
  color: #525252;
  font-family: Istok Web, sans-serif;
  font-weight: bold;
  font-size: 16px;
}

nlb-spending-analysis-widget,
nlb-income-analysis-widget {
  .list-group-item {
    border: none;
  }

  .income-spending-analysis-header {
    font-size: 22px;
    font-family: 'Istok Web', sans-serif;
    color: #212121;
  }

  .transaction-item {
    .transaction-amount {
      font-size: 22px;
      font-family: 'Istok Web', sans-serif;
      font-weight: normal;
      color: #212121;
    }
  }

  @include amount-currency-reorder;

  .chart-donut-center-word {
    font-family: 'Istok Web', sans-serif;
    font-size: 16px;
    color: $nlbMainGreyColor;

    &-amount {
      font-size: 18px;
      font-family: Roboto, sans-serif;
      font-weight: bold;
      color: $nlbDarkerGreyColor;
    }
  }

  .bb-transaction-category {
    font-size: 36px;
    cursor: pointer;
  }
}

.income-spending-analysis-transaction {
  height: 88px;
  border-radius: 6px;
  background-color: #ffffff;
  box-shadow: 0 0 1px 0 rgba(9, 30, 66, 0.31), 0 4px 8px -2px rgba(9, 30, 66, 0.25);

  .transaction-item {
    background-color: transparent;
    height: 88px;
  }
}

bb-amount-ui.chart-tooltip-analysis-amount {
  .bb-amount {
    display: inline-block;
  }

  .bb-amount__value {
    //float: right;
    display: flex !important;
    flex-direction: row;

    .symbol {
      order: 4;
      margin-left: 8px;
    }
  }
}

.chart-donut-large {
}
